{"openapi":"3.0.0","servers":[{"url":"https://www.24live.com/api","description":"Production server (uses live data)"},{"url":"https://dev.24live-score.com/api","description":"DEV server (uses test data)"},{"url":"https://staging.24live-score.com/api","description":"STAGE server (uses test data)"},{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/24live6/24live/1.0.0"}],"info":{"description":"This is a 24live API","version":"1.0.0","title":"24live API","contact":{"email":"ondrej.tyrychtr@score-stats.com","name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"match-list","description":"Data for list of matches and releated data"},{"name":"match","description":"Match specific"},{"name":"codeList","description":"All kinds of code lists"},{"name":"bets","description":"Bet and odds"},{"name":"page","description":"Page data"},{"name":"participant","description":"Participant data"}],"paths":{"/get-info":{"get":{"tags":["page"],"summary":"Client, lang and partner informations","operationId":"getInfo","responses":{"200":{"description":"all data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageInfo"}}}},"400":{"description":"Bas request or undefined input parameter"},"5XX":{"description":"Unexpected error."}}}},"/banners":{"get":{"tags":["page"],"summary":"Page banners","operationId":"banners","responses":{"200":{"description":"all page banners group baner banner position","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Banners"}}}},"400":{"description":"Bas request or undefined input parameter"},"5XX":{"description":"Unexpected error."}}}},"/match/{matchId}":{"get":{"tags":["match"],"summary":"match detail","operationId":"getMatch","description":"Get match detail","parameters":[{"in":"path","name":"matchId","schema":{"type":"integer","format":"int32"},"required":true,"description":"Match id"},{"in":"query","name":"lang","description":"language iso code","required":false,"schema":{"type":"string","default":"en"}},{"in":"query","name":"short","description":"Return response or return on update","required":false,"schema":{"type":"integer","enum":[0,1],"default":0}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MatchItem"}}}},"400":{"description":"Bas request or undefined input parameter"},"5XX":{"description":"Unexpected error."}}}},"/match-list-category/{sportId}":{"get":{"tags":["match-list"],"summary":"match list categories","operationId":"getCategories","description":"Getting all active categories for selected sport\n","parameters":[{"in":"path","name":"sportId","schema":{"type":"integer","format":"int32"},"required":true,"description":"Sport id"},{"in":"query","name":"lang","description":"language iso code","required":false,"schema":{"type":"string","default":"en"}},{"in":"query","name":"type","description":"Type of data (all, future, live, )","required":false,"schema":{"type":"string","enum":["all","live","finished","not_started"],"default":"all"}},{"in":"query","name":"sort","description":"sort by","required":false,"schema":{"type":"string","default":"alpha"}},{"in":"query","name":"from","description":"Date from including time in UTC (format example 2021-04-06 22:00:00)","required":true,"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}$"}},{"in":"query","name":"to","description":"Date to including time in UTC (format example 2021-04-06 22:00:00)","required":true,"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}$"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CategoryItem"}}}}},"400":{"description":"Bad request or undefined input parameter"},"5XX":{"description":"Unexpected error."}}}},"/match-list-data/{sportId}":{"get":{"tags":["match-list"],"summary":"match list categories","operationId":"getMatchList","description":"Getting all active matches for selected subtournaments\n","parameters":[{"in":"path","name":"sportId","schema":{"type":"integer","format":"int32"},"required":true,"description":"Sport id"},{"in":"query","name":"subtournamentIds","description":"subtournaments ids separated by comma (125,215,5989...)","required":true,"schema":{"type":"string"}},{"in":"query","name":"lang","description":"language iso code","required":false,"schema":{"type":"string","default":"en"}},{"in":"query","name":"short","description":"Return response or return on update","required":false,"schema":{"type":"integer","enum":[0,1],"default":0}},{"in":"query","name":"type","description":"Type of data (all, future, live, )","required":false,"schema":{"type":"string","enum":["all","live","finished","not_started"],"default":"all"}},{"in":"query","name":"sort","description":"sort by","required":false,"schema":{"type":"string","default":"alpha"}},{"in":"query","name":"from","description":"Date from including time in UTC (format example 2021-04-06 22:00:00)","required":true,"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}$"}},{"in":"query","name":"to","description":"Date to including time in UTC (format example 2021-04-06 22:00:00)","required":true,"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}$"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MatchItem"}}}}},"400":{"description":"Bas request or undefined input parameter"},"5XX":{"description":"Unexpected error."}}}},"/player/{playerId}":{"get":{"tags":["player"],"summary":"player detail","operationId":"getPlayer","description":"Get player detail","parameters":[{"in":"path","name":"playerId","schema":{"type":"integer","format":"int32"},"required":true,"description":"Player"},{"in":"query","name":"seasonId","description":"id of season","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"lang","description":"language iso code","required":false,"schema":{"type":"string","default":"en"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/PlayerItem"}}}},"400":{"description":"Bas request or undefined input parameter"},"5XX":{"description":"Unexpected error."}}}},"/table/participant-history/{seasonId}/{subtournamentId}/{participantId}":{"get":{"tags":["participant"],"summary":"participant season standind history","operationId":"getParticipantTableHistory","description":"Get participant season position info (total, home and away) Plus season standing promotions","parameters":[{"in":"path","name":"seasonId","schema":{"type":"integer","format":"int32"},"required":true,"description":"Season ID"},{"in":"path","name":"subtournamentId","description":"Subtournament ID","required":true,"schema":{"type":"integer","format":"int32"}},{"in":"path","name":"participantId","description":"Participant ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/TableParticipantStandings"}}}},"400":{"description":"Bas request or undefined input parameter"},"5XX":{"description":"Unexpected error."}}}},"/table/{seasonId}":{"get":{"tags":["table"],"summary":"get all tables for current season","operationId":"getTables","description":"Season tables Getting all tables for selected season","parameters":[{"in":"path","name":"seasonId","schema":{"type":"integer","format":"int32"},"required":true,"description":"Season id"},{"in":"query","name":"lang","description":"language iso code","required":false,"schema":{"type":"string","default":"en"}},{"in":"query","name":"subtournamentId","description":"Subtournament id","required":false,"schema":{"type":"integer","format":"int32","default":"en"}}],"responses":{"200":{"description":"tables result","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tables"}}}}},"400":{"description":"Bad request or undefined input parameter"},"5XX":{"description":"Unexpected error."}}}},"/participant/{participantId}":{"get":{"tags":["participant"],"summary":"participant detail","operationId":"getParticipatn","description":"Get match detail","parameters":[{"in":"path","name":"participantId","schema":{"type":"integer","format":"int32"},"required":true,"description":"Participant id"},{"in":"query","name":"lang","description":"language iso code","required":false,"schema":{"type":"string","default":"en"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParticipantDetail"}}}},"400":{"description":"Bas request or undefined input parameter"},"5XX":{"description":"Unexpected error."}}}},"/rankings/badminton":{"get":{"tags":["rankings"],"summary":"badminton rankongs","operationId":"getRanking","description":"Get badminton rankings","parameters":[{"in":"query","name":"lang","description":"language iso code","required":false,"schema":{"type":"string","default":"en"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Rankings"}}}},"400":{"description":"Bas request or undefined input parameter"},"5XX":{"description":"Unexpected error."}}}}},"components":{"schemas":{"PlayerItem":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"full_name":{"type":"string"},"position":{"type":"string","example":"F"},"weight":{"type":"integer"},"height":{"type":"integer"},"date_of_birth":{"type":"string","format":"date"},"preferred_foot":{"type":"string"},"iso":{"type":"string"},"iso3":{"type":"string"},"country_name":{"type":"string"},"participant_id":{"type":"integer"},"participant_name":{"type":"string"},"participant_logo":{"type":"string"},"last_sub_tournament_id":{"type":"integer"},"sub_tournament_id":{"type":"string"},"sub_tournament_name":{"type":"string"},"subtournaments":{"type":"array","items":{"type":"object","properties":{"sub_tournament_id":{"type":"integer"},"sub_tournament_name":{"type":"string"}}}},"season_id":{"type":"integer"},"season_name":{"type":"string"},"seasons":{"type":"array","items":{"type":"object","properties":{"season_id":{"type":"integer"},"season_name":{"type":"string"},"start":{"type":"string","format":"date-time"},"end":{"type":"string","format":"date-time"}}}},"tournament_logo":{"type":"string"},"players_transfers":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"player_id":{"type":"integer"},"player_name":{"type":"string"},"iso":{"type":"string"},"iso3":{"type":"string"},"tournament_id":{"type":"integer"},"role_type":{"type":"string"},"role_active":{"type":"boolean"},"start":{"type":"string","format":"date"},"end":{"type":"string","format":"date","nullable":true},"participant_name":{"type":"string"},"participant_logo":{"type":"string"},"from_participant_name":{"type":"string"},"from_participant_logo":{"type":"string"},"to_participant_name":{"type":"string"},"to_participant_logo":{"type":"string"}}}},"match_actions":{"type":"object","additionalProperties":{"type":"object","properties":{"FIELD_TIME":{"type":"integer","example":90},"GOAL":{"type":"array","items":{"type":"object","properties":{"matchActionType":{"type":"string","example":"GOAL"},"minute":{"type":"integer"},"addedTime":{"type":"integer","nullable":true}}}},"SUBS":{"type":"array","items":{"type":"object","properties":{"matchActionType":{"type":"string","example":"SUBS_DOWN"},"minute":{"type":"integer"},"addedTime":{"type":"integer","nullable":true}}}},"YELCARD":{"type":"array","items":{"type":"object","properties":{"matchActionType":{"type":"string","example":"SUBS_DOWN"},"minute":{"type":"integer"},"addedTime":{"type":"integer","nullable":true}}}},"ASSIST":{"type":"array","items":{"type":"object","properties":{"matchActionType":{"type":"string","example":"SUBS_DOWN"},"minute":{"type":"integer"},"addedTime":{"type":"integer","nullable":true}}}}}}},"stats":{"type":"array","items":{"type":"object","properties":{"subtournament_name":{"type":"string"},"tournament_name":{"type":"string"},"tournament_logo":{"type":"string"},"season_startYear":{"type":"integer"},"season_endYear":{"type":"integer"},"participant_id":{"type":"integer"},"participant_name":{"type":"string"},"participant_logo":{"type":"string"},"data":{"type":"object","properties":{"goals_for_team":{"type":"integer"},"goal_frequency":{"type":"integer"},"goal_average":{"type":"integer","format":"double"},"total_matches":{"type":"integer"},"assists_for_team":{"type":"integer"},"starting_xi":{"type":"integer"},"minutes_played":{"type":"integer"},"yellow_cards_for_team":{"type":"integer"}}}}}},"data":{"type":"object","properties":{"live":{"type":"array","items":{"$ref":"#/components/schemas/MatchItem"}},"finished":{"type":"array","items":{"$ref":"#/components/schemas/MatchItem"}},"not_started":{"type":"array","items":{"$ref":"#/components/schemas/MatchItem"}}}}}},"Tables":{"type":"object","properties":{"tournament_id":{"type":"integer","format":"int32"},"tournament_name":{"type":"string","example":"UEFA Champions League"},"sub_tournament_id":{"type":"integer","format":"int32"},"sub_tournament_name":{"type":"string"},"season_id":{"type":"integer","format":"int32"},"season_name":{"type":"string"},"tables":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","example":"Central Division"},"columns":{"type":"array","items":{"type":"object","properties":{"short":{"type":"string"},"name":{"type":"string"}}}},"data":{"type":"object","properties":{"total":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/TablesItems"}},"home":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/TablesItems"}},"away":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/TablesItems"}}}}}}}}},"TableParticipantStandings":{"type":"array","items":{"type":"object","properties":{"history":{"type":"array","items":{"$ref":"#/components/schemas/TableParticipantStandingsData"}},"promotions":{"type":"array","items":{"$ref":"#/components/schemas/TableParticipantStandingsPromotion"}}}}},"TableParticipantStandingsData":{"type":"object","properties":{"leagueTableId":{"type":"integer","nullable":false,"default":1234},"date":{"type":"string","format":"date-time"},"positionTotal":{"type":"integer","nullable":true},"positionHome":{"type":"integer","nullable":true},"positionAway":{"type":"integer","nullable":true}}},"TableParticipantStandingsPromotion":{"type":"object","properties":{"rank":{"type":"integer","nullable":false,"default":1},"promotion":{"type":"string","default":"Champions league"}}},"TablesItems":{"type":"object","properties":{"place":{"type":"integer"},"image":{"type":"string"},"promotion":{"type":"object","properties":{"name":{"type":"string"},"color":{"type":"string"}}},"trend":{"type":"integer","nullable":true},"name":{"type":"string"},"columns":{"type":"array","items":{"type":"integer"}},"participant_id":{"type":"integer"},"matches":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["past","upcoming","live"]},"start_date":{"type":"string","format":"date-time"},"score":{"type":"string"},"score_period_1":{"type":"string","nullable":true},"score_period_2":{"type":"string","nullable":true},"score_period_3":{"type":"string","nullable":true},"score_normal_time":{"type":"string","nullable":true},"home_team":{"type":"string"},"away_team":{"type":"string"},"status":{"type":"string","enum":["win","lose","draw"],"nullable":true},"corners_home":{"type":"integer","nullable":true},"corners_away":{"type":"integer","nullable":true}}}}}},"Banners":{"type":"object","properties":{"1":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string","nullable":true},"width":{"type":"integer"},"height":{"type":"integer"},"banners":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"comments":{"type":"string","nullable":true,"example":"Championbet ET square"},"altText":{"type":"string","nullable":true},"path":{"type":"string","nullable":true},"url":{"type":"string","format":"uri"},"utm_source":{"type":"string","nullable":true},"utm_meadium":{"type":"string","nullable":true},"utm_campaign":{"type":"string","nullable":true}}}}}}}},"Rankings":{"type":"object","required":["participantId"],"properties":{"participantId":{"type":"integer"},"category":{"type":"string","example":"bwf_men_singles_world_ranking"},"points":{"type":"integer","example":120111},"ranking":{"type":"integer","example":1},"prizeMoney":{"type":"string","nullable":true},"year":{"type":"integer"},"week":{"type":"integer"},"gender":{"type":"string","example":"man"},"info":{"type":"object","properties":{"name":{"type":"string","example":"Momota, Kento"},"image":{"type":"string"},"image_country":{"type":"string","nullable":true},"country_iso":{"type":"string","nullable":true,"example":"JP"}}}}},"PageInfo":{"type":"object","required":["langs","client","part"],"properties":{"langs":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"image":{"type":"string","nullable":true,"example":"en.svg"},"iso":{"type":"string","example":"en"}}}},"client":{"type":"object","properties":{"name":{"type":"string","example":"24live"},"name_view":{"type":"string","example":"24live"},"main_domain":{"type":"string"},"parent_type":{"type":"string"},"social_image":{"type":"string"}}},"partners":{"type":"array","items":{"type":"object","properties":{"full_name":{"type":"string"},"partner_code_name":{"type":"string"},"domain":{"type":"string","nullable":true},"is_main_partner":{"type":"integer","enum":[0,1]}}}}}},"CategoryItem":{"type":"object","required":["category_id","category_name","category_name_short","tournament_id","tournament_name","sub_tournament_id","isopen","isfavorite"],"properties":{"category_id":{"type":"integer","format":"int32","example":10},"category_name":{"type":"string","example":"International Club"},"category_name_short":{"type":"string","nullable":true},"tournament_id":{"type":"integer","format":"int32","example":1127},"tournament_name":{"type":"string","example":"UEFA Champions League"},"tournament_country_iso":{"type":"string","nullable":true},"tournament_country_iso3":{"type":"string","nullable":true},"tournament_country":{"type":"string","nullable":true},"sub_tournament_id":{"type":"integer","format":"int32","example":8674},"gender":{"type":"string","enum":["m","f"],"nullable":true},"singles_doubles":{"type":"integer","format":"int32","nullable":true},"sub_tournament_name":{"type":"string","example":"Champions League, Play Offs"},"sub_tournament_city":{"type":"string","nullable":true},"sub_tournament_qualifying":{"type":"integer","format":"int32","default":0},"sub_tournament_ground":{"type":"string","nullable":true},"image":{"type":"string","nullable":true},"isopen":{"type":"boolean"},"isfavorite":{"type":"boolean"},"favorite_stick":{"type":"boolean"},"showCategory":{"type":"boolean"},"t_gender":{"type":"integer","format":"int32"},"st_order":{"type":"integer","format":"int32"},"st_order2":{"type":"integer","format":"int32"},"num_matches":{"type":"integer","format":"int32"},"num_live_matches":{"type":"integer","format":"int32"}}},"MatchItem":{"type":"object","required":["category_id","category_name","category_name_short","tournament_id","tournament_name","sub_tournament_id","isopen","isfavorite"],"properties":{"id":{"type":"integer","format":"int32"},"minute":{"type":"string","nullable":true,"example":"30:12"},"time_paused":{"type":"boolean"},"isLive":{"type":"boolean"},"added_time":{"type":"string","nullable":true},"code_state":{"type":"string","example":"period_2"},"match_state":{"type":"string","enum":["before","after","inplay-live","inplay-pause","cancelled","not-actual","error"]},"last_update":{"type":"integer","format":"Int64"},"modified":{"type":"integer","format":"Int64","nullable":true},"finished":{"type":"integer","format":"Int64","nullable":true},"is_favorited":{"type":"boolean"},"winner":{"type":"integer","format":"int32"},"tracker":{"type":"integer","format":"int32","nullable":true},"category_id":{"type":"integer","format":"int32","nullable":false},"category_name":{"type":"string","nullable":true,"example":"England"},"tournament_id":{"type":"integer","format":"int32","nullable":false},"tournament_name":{"type":"string","nullable":true},"tournament_country":{"type":"string","nullable":true},"tournament_country_iso":{"type":"string","nullable":true},"tournament_country_iso3":{"type":"string","nullable":true},"sub_tournament_id":{"type":"integer","format":"int32","nullable":false},"sub_tournament_name":{"type":"string","nullable":true},"sub_tournament_city":{"type":"string","nullable":true},"sub_tournament_qualifying":{"type":"integer","format":"int32","nullable":false},"sub_tournament_ground":{"type":"string","nullable":true},"singles_doubles":{"type":"integer","format":"int32","nullable":true},"season_id":{"type":"integer","format":"int32","nullable":false},"start_date":{"type":"string","format":"date-time","nullable":false},"round":{"type":"integer","format":"int32","nullable":false},"round_name":{"type":"string","nullable":true},"period_length":{"type":"integer","format":"int32","nullable":false},"display_time":{"type":"boolean"},"display_period_time":{"type":"boolean"},"info":{"type":"string","nullable":true},"twitch_channel":{"type":"string","nullable":true},"twitch_video":{"type":"string","nullable":true},"youtube_video":{"type":"string","nullable":true},"nhl_video":{"type":"string","nullable":true},"vimeo_video":{"type":"string","nullable":true},"isport_video":{"type":"string","nullable":true},"sport_code_name":{"type":"string","nullable":false,"example":"soccer"},"sport_id":{"type":"integer","format":"int32","nullable":false},"image":{"type":"string","nullable":true},"hasTable":{"type":"boolean"},"hasCuptree":{"type":"boolean"},"funfacts":{"type":"array","items":{"type":"string"}},"comments":{"type":"array","items":{"type":"string"}},"showCategory":{"type":"boolean"},"channels":{"type":"array","items":{"$ref":"#/components/schemas/Channel"}},"score":{"$ref":"#/components/schemas/Score"},"metainfo":{"$ref":"#/components/schemas/MetaInfo"},"participants":{"type":"array","items":{"$ref":"#/components/schemas/Participant"}},"players":{"type":"array","items":{"$ref":"#/components/schemas/Player"}},"match_actions":{"type":"array","items":{"$ref":"#/components/schemas/MatchAction"}},"match_actions_score":{"type":"array","items":{"$ref":"#/components/schemas/MatchActionScore"}},"tennis_rankings":{"type":"array","items":{"$ref":"#/components/schemas/TennisRanking"}},"h2h":{"$ref":"#/components/schemas/H2H"},"phrases":{"type":"array","items":{"$ref":"#/components/schemas/Phrase"}},"live_timeline":{"type":"array","items":{"$ref":"#/components/schemas/LiveTimeline"}}}},"LiveTimeline":{"type":"object","properties":{"away_score":{"type":"integer","format":"int32","nullable":true}}},"Phrase":{"type":"object","required":["id","type"],"properties":{"id":{"type":"integer","format":"int32"},"match_action_id":{"type":"integer","format":"int32","nullable":true},"time":{"type":"string"},"text":{"type":"string"},"type":{"type":"object","properties":{"id":{"type":"number","format":"int32"},"description":{"type":"string"}}},"event_type":{"type":"object","properties":{"id":{"type":"number","format":"int32"},"name":{"type":"string"},"description":{"type":"string"}}}}},"H2H":{"type":"object","required":["limit","total"],"properties":{"limit":{"type":"integer","format":"int32","nullable":false},"total":{"type":"object","properties":{"home_team":{"type":"array","items":{"$ref":"#/components/schemas/H2HMatch"}},"away_team":{"type":"array","items":{"$ref":"#/components/schemas/H2HMatch"}},"h2h":{"type":"array","items":{"$ref":"#/components/schemas/H2HMatch"}}}},"home":{"type":"object","properties":{"home_team":{"type":"array","items":{"$ref":"#/components/schemas/H2HMatch"}},"h2h":{"type":"array","items":{"$ref":"#/components/schemas/H2HMatch"}}}},"away":{"type":"object","properties":{"away_team":{"type":"array","items":{"$ref":"#/components/schemas/H2HMatch"}},"h2h":{"type":"array","items":{"$ref":"#/components/schemas/H2HMatch"}}}}}},"H2HMatch":{"type":"object","required":["id","home_id","away_id"],"properties":{"id":{"type":"integer","format":"uuid"},"home_id":{"type":"integer","format":"uuid"},"away_id":{"type":"integer","format":"uuid"},"date":{"type":"string","format":"date-time"},"home_team":{"type":"string","nullable":false},"away_team":{"type":"string","nullable":false},"home_image":{"type":"string","nullable":true},"away_image":{"type":"string","nullable":true},"tournament":{"type":"string","nullable":true},"badge":{"type":"string","nullable":true,"example":"D"},"badge_class":{"type":"string","nullable":true},"score":{"$ref":"#/components/schemas/Score"}}},"TennisRanking":{"type":"object","required":["participantId","category"],"properties":{"participantId":{"type":"integer","format":"uuid"},"category":{"type":"string","enum":["atp","wta","challanger","itf"]},"sd":{"type":"string","enum":["single","double"],"nullable":false},"points":{"type":"integer","format":"int32"},"rankings":{"type":"integer","format":"int32"},"info":{"type":"object","properties":{"name":{"type":"string","nullable":false},"image":{"type":"string","nullable":false},"image_country":{"type":"string","nullable":false},"country_iso":{"type":"string","nullable":false}}}}},"ParticipantDetail":{"type":"object","required":["id","data","name"],"properties":{"id":{"type":"integer","format":"uuid"},"name":{"type":"string","nullable":false},"date_of_birth":{"type":"string","format":"date","nullable":true},"height":{"type":"number","nullable":true},"weight":{"type":"number","nullable":true},"place_of_birth":{"type":"string","nullable":true},"home_stadium":{"type":"string","nullable":true},"is_player":{"type":"boolean","default":false},"tournament":{"type":"array","items":{"type":"object","properties":{"category_name":{"type":"string","nullable":false},"sub_tournament_name":{"type":"string","nullable":false},"tournament_id":{"type":"number","format":"int32","nullable":true}}}},"form":{"type":"array","items":{"$ref":"#/components/schemas/Form"}},"players":{"type":"array","items":{"$ref":"#/components/schemas/Player"}},"meta":{"type":"array","items":{"type":"string"}},"news":{"type":"array","items":{"$ref":"#/components/schemas/News"}},"data":{"type":"object","properties":{"live":{"type":"array","items":{"$ref":"#/components/schemas/MatchItem"}},"finished":{"type":"array","items":{"$ref":"#/components/schemas/MatchItem"}},"not_started":{"type":"array","items":{"$ref":"#/components/schemas/MatchItem"}}}}}},"News":{"type":"object","required":["id","title"],"properties":{"id":{"type":"integer","format":"uuid"},"title":{"type":"string"},"content":{"type":"string","nullable":true},"ext_link":{"type":"string","format":"uri"},"datetime":{"type":"string","format":"datetime"},"image_original":{"type":"string","nullable":true},"image_small":{"type":"string","nullable":true}}},"Channel":{"type":"object","required":["country","name","url"],"properties":{"url":{"type":"string","nullable":true},"name":{"type":"string"},"country":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"flag":{"type":"string","nullable":true}}}}},"Form":{"type":"object","required":["id","type","start_date","score","home_team","away_team","status","sport_name"],"properties":{"id":{"type":"integer","format":"uuid"},"type":{"type":"string","nullable":false,"enum":["past","upcoming","live"]},"start_date":{"type":"string","format":"date-time"},"score":{"type":"string","example":"1:2"},"score_period_1":{"type":"string","example":"1:2"},"score_period_2":{"type":"string","example":"1:2"},"score_period_3":{"type":"string","example":"1:2"},"home_team":{"type":"string"},"away_team":{"type":"string"},"status":{"type":"string","enum":["draw","ot_lose","ot_win","win","lose"]},"corners_home":{"type":"number","nullable":true},"corners_away":{"type":"number","nullable":true},"code_state":{"type":"string","enum":["ended","ap","walkover","retired"]},"sport_name":{"type":"string"}}},"Participant":{"type":"object","required":["id","type","name"],"properties":{"id":{"type":"integer","format":"uuid"},"type":{"type":"string","enum":["home_team","away_team"],"nullable":true},"image":{"type":"string","nullable":true},"name":{"type":"string","nullable":false,"example":"Sparta"},"name_short":{"type":"string","nullable":true},"scratch":{"type":"boolean"},"red_cards":{"type":"integer","format":"int32","nullable":false},"cuptree_is_final":{"type":"boolean"},"tennis_tournament_info":{"type":"string","nullable":true},"formation":{"type":"string","nullable":true,"example":"3-4-3"},"table_position":{"type":"integer","format":"int32","nullable":true},"jerseys":{"type":"array","items":{"$ref":"#/components/schemas/Jersey"}}}},"Jersey":{"type":"object","required":["type","base"],"properties":{"base":{"type":"string"},"horizontalStripes":{"type":"boolean"},"number":{"type":"string"},"shirtType":{"type":"string"},"sleeve":{"type":"string"},"sleeveDetail":{"type":"string"},"split":{"type":"boolean"},"squares":{"type":"boolean"},"stripes":{"type":"boolean"},"jerseyType":{"type":"string","enum":["away","home","goalkeeper","third"]}}},"Score":{"type":"object","required":["periods_count","home_team","away_team","periods"],"properties":{"periods_count":{"type":"integer","format":"int32","example":2},"home_team":{"type":"integer","format":"int32"},"away_team":{"type":"integer","format":"int32"},"home_extra_info":{"type":"array","items":{"type":"string"}},"away_extra_info":{"type":"array","items":{"type":"string"}},"hide_last_period:":{"type":"boolean"},"show_dashes":{"type":"boolean"},"series_score":{"type":"array","nullable":true,"items":{"type":"integer"}},"periods":{"type":"array","items":{"$ref":"#/components/schemas/ScorePeriods"}}}},"ScorePeriods":{"type":"object","required":["name","trans_name","period"],"properties":{"name":{"type":"string","nullable":false,"example":"period-1"},"trans_name":{"type":"string","nullable":false,"example":"status.soccer.period_1"},"period":{"type":"integer","format":"int32","example":1},"home_team":{"type":"integer","format":"int32"},"away_team":{"type":"integer","format":"int32"}}},"MetaInfo":{"type":"object","required":["tracker"],"properties":{"tracker":{"type":"integer","format":"int32","nullable":false},"place":{"type":"string","nullable":true,"example":"London"},"stadium":{"type":"string","nullable":true,"example":"Stamford Bridge"},"stadium_capacity":{"type":"integer","format":"int32","nullable":true},"attendance":{"type":"integer","format":"int32","nullable":true},"referee":{"type":"string","nullable":true},"weather":{"type":"string","nullable":true}}},"MatchAction":{"type":"object","required":["period","actions"],"properties":{"period":{"type":"object","properties":{"name":{"type":"string","nullable":false}}},"actions":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","nullable":false,"example":"YELLOW_CARD"},"team":{"type":"string","nullable":true,"example":"home"},"state":{"type":"string","nullable":true,"example":"period_1"},"time":{"type":"integer","format":"int32","nullable":false},"addedTime":{"type":"integer","format":"int32","nullable":true},"image":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"sub_name":{"type":"array","items":{"type":"string"}},"points":{"type":"string","nullable":true},"Actual_score":{"type":"string","nullable":true}}}}}},"MatchActionScore":{"type":"object","required":["period","actions"],"properties":{"period":{"type":"object","properties":{"name":{"type":"string","nullable":false}}},"actions":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","nullable":false,"example":"SCORE"},"team":{"type":"string","nullable":true,"example":"home"},"state":{"type":"string","nullable":true,"example":"period_1"},"image":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"score":{"type":"string","nullable":false,"example":"3:2"}}}}}},"Player":{"type":"object","required":["id","team"],"properties":{"id":{"type":"integer","format":"int32","nullable":false},"team":{"type":"string","nullable":false,"example":"home"},"position":{"type":"string","nullable":true,"example":"G"},"number":{"type":"integer","format":"int32","nullable":true},"flag":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"name_short":{"type":"string","nullable":true},"age":{"type":"integer","format":"int32","nullable":true},"injury":{"type":"boolean","nullable":true},"substitute":{"type":"integer","format":"int32","nullable":true},"lineupPosition":{"type":"integer","format":"int32","nullable":true},"goals":{"type":"integer","format":"int32","nullable":true},"red_card":{"type":"integer","format":"int32","nullable":true},"yellow_card":{"type":"integer","format":"int32","nullable":true},"yellow_red_card":{"type":"integer","format":"int32","nullable":true},"assist":{"type":"integer","format":"int32","nullable":true},"photo":{"type":"string","nullable":true},"missing_reason":{"type":"string","nullable":true},"missing_registered":{"type":"string","nullable":true},"missing_expected_back":{"type":"string","nullable":true},"missing_global":{"type":"string","nullable":true},"missing_subtournament":{"type":"string","nullable":true}}}}}}